
#include "behavior-linear.h"



BehaviorLinear::BehaviorLinear()
{
	dx = 0;
	dy = 0;
}



char *BehaviorLinear::update(int &ret_x, int &ret_y)
{
	update_linear();
	ret_x = get_x();
	ret_y = get_y();
	return "";
}



void BehaviorLinear::update_linear()
{
	set_position(get_full_x() + dx, get_full_y() + dy);
}



void BehaviorLinear::reset()
{
	dx = 0;
	dy = 0;
}



void BehaviorLinear::reset(const int new_x, const int new_y)
{
	reset();
	set_position(new_x, new_y);
}



float BehaviorLinear::get_dx()
{
	return dx;
}



float BehaviorLinear::get_dy()
{
	return dy;
}



void BehaviorLinear::set_dx(const float new_dx)
{
	dx = new_dx;
}



void BehaviorLinear::set_dy(const float new_dy)
{
	dy = new_dy;
}

