/***************************************************************************
                                 behavior-periodic.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
 ***************************************************************************/

#ifndef BEHAVIOR_PERIODIC_H
#define BEHAVIOR_PERIODIC_H

#include <iostream>
#include <string.h>

#include "behavior.h"



class BehaviorPeriodic : public Behavior {
	private:
		int period;
		int to_next_fire;
		char *signal;
		Behavior *background_behavior;
	public:
		BehaviorPeriodic();
		~BehaviorPeriodic();
		
		virtual char *update(int &ret_x, int &ret_y);
		
		void set_period(int new_period);
		void set_signal(char *new_signal);
		
		void set_background_behavior(Behavior *new_bb);
};



#endif
