
#include "bullet-lightning.h"



BulletLightning::BulletLightning()
{
	type = "BulletLightning";
	BehaviorLinear *be = new BehaviorLinear;
	be->set_dx(10);
	Anim *b_anim = new Anim;
	b_anim->set_looping(true);
	b_anim->add_frame("lightning00", 7);
	b_anim->add_frame("lightning01", 7);
	b_anim->add_frame("lightning02", 7);
	b_anim->add_frame("lightning03", 7);
	b_anim->add_hash();
	Anim *b_d_anim = new Anim;
	b_d_anim->set_looping(false);
	b_d_anim->add_frame("lightning", 5);
	b_d_anim->add_hash();
	set_hp(15000);
	set_idle_anim(b_anim);
	set_death_anim(b_d_anim);
	set_behavior(be);
	set_collision_damage(15);
	set_anim(b_anim);
	set_damage_types(false, true);
	set_scope(-50, -25, get_display()->get_width() + 50, get_display()->get_height() + 25);
	set_death_on_leaving_scope(true);
	set_hurt_types(true, false);
}

