
#include "bullet-minibolt.h"



BulletMinibolt::BulletMinibolt(float n_dy)
{
	type = "BulletMinibolt";
	BehaviorLinear *be = new BehaviorLinear;
	be->set_dx(15);
	be->set_dy(n_dy);
	Behavior *death_be = new Behavior;
	Anim *b_anim = new Anim;
	b_anim->set_looping(true);
	b_anim->add_frame("minibolt00", 0);
	b_anim->add_hash();
	Anim *b_d_anim = new Anim;
	b_d_anim->set_looping(false);
	b_d_anim->add_frame("smallpuff00", 3);
	b_d_anim->add_frame("smallpuff01", 3);
	b_d_anim->add_frame("smallpuff02", 3);
	b_d_anim->add_frame("smallpuff03", 3);
	b_d_anim->add_hash();
	set_hp(1);
	set_idle_anim(b_anim);
	set_death_anim(b_d_anim);
	set_behavior(be);
	set_collision_damage(2);
	set_anim(b_anim);
	set_damage_types(false, true);
	set_scope(-25, -25, get_display()->get_width() + 25, get_display()->get_height() + 25);
	set_death_on_leaving_scope(true);
	set_hurt_types(true, false);
	set_death_behavior(death_be);
}

