
#include "bullet.h"



Bullet::Bullet()
{
	type = "Bullet";
	owner = NULL;
}



void Bullet::get_signal(ActorSignal signal)
{
	if ((strcmp(signal.signal, "hurt") == 0) && !dead)
		if (signal.source->damages_players() && gets_hurt_as_player()) {
			hurt(signal.source->get_collision_damage());
		} else if (signal.source->damages_enemies() && gets_hurt_as_enemy()) {
			hurt(signal.source->get_collision_damage());
		}
	if (strcmp(signal.signal, "enemy_killed") == 0)
		if (owner != NULL) owner->get_signal(signal);
}



void Bullet::set_owner(Actor *actor)
{
	owner = actor;
}



Actor *Bullet::get_owner()
{
	return owner;
}

