/***************************************************************************
                                 enemy-bat.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	A bat that hangs in place and fires blobbies that follow the bat's target.
	Does not set its own behavior; will fire if it gets a "fire" signal from
	its behavior.
 ***************************************************************************/

#ifndef ENEMY_BAT_H
#define ENEMY_BAT_H

#include "enemy.h"
#include "actorlist.h"
#include "behavior-follow.h"



class EnemyBat : public Enemy {			// hee hee.  "public enemy".  that never gets old.
	private:
		Anim *fire_anim;
		Actor *target;
		bool needs_to_fire;
		bool sound_fired;
	public:
		EnemyBat();
		~EnemyBat();
		
 		virtual ActorSignal update();
		//virtual void get_signal(ActorSignal signal);
 		
 		void set_target(Actor *new_target);
 	
 	private:
 		void fire_blobbie(char *rec_sig);
};



#endif
