

#include "enemy-slave.h"



EnemySlave::EnemySlave()
{
	type = "EnemySlave";

	Anim *slave_anim = new Anim;
	Anim *slave_dies = new Anim;
	slave_anim->set_looping(true);
	slave_anim->add_frame("miner00", 15);
	slave_anim->add_frame("miner01", 4);
	slave_anim->add_frame("miner02", 4);
	slave_anim->add_frame("miner03", 4);
	slave_anim->add_frame("miner04", 4);
	slave_anim->add_frame("miner05", 4);
	slave_anim->add_frame("miner06", 4);
	slave_anim->add_hash();
	slave_dies->set_looping(false);
	slave_dies->add_frame("minerdeath00", 5);
	slave_dies->add_frame("minerdeath01", 5);
	slave_dies->add_frame("minerdeath02", 5);
	slave_dies->add_frame("minerdeath03", 5);
	slave_dies->add_frame("minerdeath04", 5);
	slave_dies->add_frame("minerdeath05", 5);
	slave_dies->add_frame("minerdeath06", 5);
	slave_dies->add_frame("minerdeath07", 5);
	slave_dies->add_frame("minerdeath08", 5);
	slave_dies->add_frame("minerdeath09", 5);
	slave_dies->add_frame("minerdeath10", 5);
	slave_dies->add_frame("minerdeath11", 32000);
	slave_dies->add_hash();
	set_collision_damage(1);
	set_hp(5);
	set_damage_types(true, false);
	set_hurt_types(false, true);
	set_idle_anim(slave_anim);
	set_death_anim(slave_dies);
	set_anim(slave_anim);
	set_scope(-40, -80, get_display()->get_width() + 80,
		get_display()->get_height() + 80);
	set_death_on_leaving_scope(true);
	set_z(-32000);
	set_point_value(5);
}

