/***************************************************************************
                                   enemy.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	An enemy; that is, an actor with a point value that sends out a signal to
	its destroyer when it is destroyed.
 ***************************************************************************/

#ifndef ENEMY_H
#define ENEMY_H

#include "actor-destructible.h"



class Enemy : public ActorDestructible {
	private:
		int point_value;
	public:
		Enemy();
		~Enemy();
		
		void set_point_value(int value);
		int get_point_value();

		virtual void get_signal(ActorSignal signal);
};



#endif
