/***************************************************************************
                                   mixer.h
                             -------------------
    begin                : Sat Jun 3 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
 ***************************************************************************/

#ifndef MIXER_H
#define MIXER_H



#include <iostream>
#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

#include "audiocache.h"



class Mixer {
	private:
		AudioCache *cache;
		static bool already_instantiated;
	public:
		Mixer();
		~Mixer();
		
		void bind_cache(AudioCache *new_cache);
		
		void play_sound(char *tag, int volume = 127);
};



#endif

