/***************************************************************************
                                 background.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	A class representing the background that scrolls behind the action.
 ***************************************************************************/

#ifndef BACKGROUND_H
#define BACKGROUND_H

#include <string>
#include <iostream>

#include "display.h"



class Background {
	private:
		char *image_name;
		float position;
		static Display *display;
		int width;
	public:
		Background();
		~Background();
		
		static void bind_display(Display *new_display);
		
		void set_image(char *new_image_name);
		
		void paint();
		
		void scroll(float amount);
		float get_position();
};



#endif

