/***************************************************************************
                                 behavior-follow.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	A behavior that has a target and follostd::ws it.
	TODO:	-	Should be possible to make the actor only be able to go forward...
					maybe?
 ***************************************************************************/

#ifndef BEHAVIOR_FOLLOW_H
#define BEHAVIOR_FOLLOW_H

#define BEHAVIOR_FOLLOW_DEFAULT_IMPULSE .2
#define BEHAVIOR_FOLLOW_DEFAULT_D_MAX 5

#include "actor.h"
#include "behavior-linear.h"



class BehaviorFollow : public BehaviorLinear {
	private:
		float x_impulse, y_impulse;
		float dx_max, dy_max;
		Actor *target;
	public:
		BehaviorFollow();
		
		virtual char *update(int &ret_x, int &ret_y);
		
		void set_impulse(float new_x, float new_y);
		void set_speed_maxima(float new_x, float new_y);
		
		void set_target(Actor *new_target);
};



#endif
