/***************************************************************************
                                 behavior-linear.h
                             -------------------
    begin                : Thu May 25 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	A behavior representing linear movement.
 ***************************************************************************/

#ifndef BEHAVIOR_LINEAR_H
#define BEHAVIOR_LINEAR_H

#include <iostream>

#include "behavior.h"



class BehaviorLinear : public Behavior {
	private:
		float dx, dy;
	public:
		BehaviorLinear();
		
		virtual char *update(int &ret_x, int &ret_y);
		
		virtual void reset();
		virtual void reset(const int new_x, const int new_y);

		float get_dx();
		float get_dy();
				
		void set_dx(const float new_dx);
		void set_dy(const float new_dy);
	protected:
		void update_linear();
};


#endif

