
#include "behavior-quadratic.h"



BehaviorQuadratic::BehaviorQuadratic()
{
	d2x = 0;
	d2y = 0;
}



char *BehaviorQuadratic::update(int &ret_x, int &ret_y)
{
	update_linear();
	update_quadratic();
	ret_x = get_x();
	ret_y = get_y();
	return "";
}



void BehaviorQuadratic::reset()
{
	set_dx(0);
	set_dy(0);
	set_d2x(0);
	set_d2y(0);
}



void BehaviorQuadratic::reset(const int new_x, const int new_y)
{
	reset();
	set_position(new_x, new_y);
}



void BehaviorQuadratic::set_d2x(const float new_d2x)
{
	d2x = new_d2x;
}



void BehaviorQuadratic::set_d2y(const float new_d2y)
{
	d2y = new_d2y;
}



float BehaviorQuadratic::get_d2x()
{
	return d2x;
}



float BehaviorQuadratic::get_d2y()
{
	return d2y;
}



void BehaviorQuadratic::update_quadratic()
{
	set_dx(get_dx() + d2x);
	set_dy(get_dy() + d2y);
}

