
#include "behavior-sinewave.h"



BehaviorSineWave::BehaviorSineWave()
{
	baseline = BEHAVIOR_SINEWAVE_DEFAULT_BASELINE;
	impulse = BEHAVIOR_SINEWAVE_DEFAULT_IMPULSE;
}



char *BehaviorSineWave::update(int &ret_x, int &ret_y)
{
	char *temp = "";
	if (get_y() > baseline) set_dy(get_dy() - impulse);
	if (get_y() < baseline) set_dy(get_dy() + impulse);
	update_linear();
	ret_x = get_x();
	ret_y = get_y();
	return temp;
}



void BehaviorSineWave::set_impulse(float new_impulse)
{
	impulse = new_impulse;
}



void BehaviorSineWave::set_baseline(float new_baseline)
{
	baseline = new_baseline;
}

