
#include "bullet-firebolt.h"



BulletFirebolt::BulletFirebolt(float dy)
{
	type = "BulletFirebolt";
	BehaviorQuadratic *be = new BehaviorQuadratic;
	be->set_dx(8);
	be->set_d2y(.01);
	be->set_dy(dy);
	Behavior *death_be = new Behavior;
	Anim *b_anim = new Anim;
	b_anim->set_looping(true);
	b_anim->add_frame("firebolt00", 0);
	b_anim->add_hash();
	Anim *b_d_anim = new Anim;
	b_d_anim->set_looping(false);
	b_d_anim->add_frame("fireboltexplode00", 5);
	b_d_anim->add_frame("fireboltexplode01", 5);
	b_d_anim->add_frame("fireboltexplode02", 5);
	b_d_anim->add_frame("fireboltexplode03", 5);
	b_d_anim->add_hash();
	set_hp(1);
	set_idle_anim(b_anim);
	set_death_anim(b_d_anim);
	set_behavior(be);
	set_collision_damage(10);
	set_anim(b_anim);
	set_damage_types(false, true);
	set_scope(-25, -25, get_display()->get_width() + 25, get_display()->get_height() + 25);
	set_death_on_leaving_scope(true);
	set_hurt_types(true, false);
	set_death_behavior(death_be);
}

