/***************************************************************************
                                 bullet.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	An actor which will inform its owner when it has destroyed something.
 ***************************************************************************/

#ifndef BULLET_H
#define BULLET_H

#include <iostream>

#include "actor-destructible.h"



class Bullet : public ActorDestructible {
	private:
		Actor *owner;
	public:
		Bullet();
		
		virtual void get_signal(ActorSignal signal);
		
		void set_owner(Actor *actor);
		Actor *get_owner();
};



#endif
