/***************************************************************************
                               enemy-fatboy.h
                             -------------------
    begin                : Sun Jun 4 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	A fat demon that shoots at you with his pitchfork.
 ***************************************************************************/

#ifndef ENEMY_FATBOY_H
#define ENEMY_FATBOY_H

#include "enemy.h"
#include "actorlist.h"
#include "behavior-quadratic.h"



class EnemyFatboy : public Enemy {
	private:
		bool has_dropped_pitchfork;
		bool needs_to_fire;
		Anim *wings_anim, *fire_anim;
	public:
		EnemyFatboy();
		~EnemyFatboy();

		virtual ActorSignal update();
		virtual void paint();
	private:
		void drop_pitchfork();
		void fire_pitchfork(char *rec_sig);
};



#endif
