/***************************************************************************
                                 enemy-morte.h
                             -------------------
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
	Morte - a cute flaming skull that flies toward the player at high speeds.
	Morte doesn't define his own behavior--you have to provide him with one
	with set_behavior().
 ***************************************************************************/

#ifndef ENEMY_MORTE_H
#define ENEMY_MORTE_H

#include "enemy.h"
#include "behavior-quadratic.h"
#include "actorlist.h"



class EnemyMorte : public Enemy {		// ha ha!  "public enemy".  bad pun.
	private:
		bool has_spawned_pieces;
		bool sound_fired;
	public:
		EnemyMorte();
		~EnemyMorte();
		
		virtual ActorSignal update();
		
	private:
		void spawn_pieces();
};



#endif
