/***************************************************************************
                                 main-menu.h
                             -------------------
    begin                : Thu Jun 1 2000
    copyright            : (C) 2000 by Bytopia Software
    email                : lancekt@wam.umd.edu
                             -------------------
 ***************************************************************************/

#ifndef MAIN_MENU_H
#define MAIN_MENU_H

#include <SDL/SDL.h>

#include "display.h"
#include "event.h"
#include "actor.h"
#include "actorlist.h"
#include "bullet-lightning.h"


enum menu_result_t {
	menu_result_none,
	menu_result_play,
	menu_result_load,
	menu_result_options,
	menu_result_quit
};

menu_result_t show_menu(Display *display);





#endif

